import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MerReport } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-11 17:07
 */
interface MerReportCU extends ConditionUtil<MerReportCU> {
    REPORT_ID: FieldUtil<MerReportCU>;
    LOT_ID: FieldUtil<MerReportCU>;
    MER_ID: FieldUtil<MerReportCU>;
    REPORT_DATE: FieldUtil<MerReportCU>;
    TOTAL_NUM: FieldUtil<MerReportCU>;
    TOTAL_COUNT: FieldUtil<MerReportCU>;
    TOTAL_MONEY: FieldUtil<MerReportCU>;
    TOTAL_TIME: FieldUtil<MerReportCU>;
    COUPON_ID: FieldUtil<MerReportCU>;
    ACTUAL_TOTAL_MONEY: FieldUtil<MerReportCU>;
}
declare class MerReportMU extends TableUtilImpl<MerReportCU, MerReport> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MerReportCU;
    static get REPORT_ID(): FieldUtil<MerReportCU>;
    static get LOT_ID(): FieldUtil<MerReportCU>;
    static get MER_ID(): FieldUtil<MerReportCU>;
    static get REPORT_DATE(): FieldUtil<MerReportCU>;
    static get TOTAL_NUM(): FieldUtil<MerReportCU>;
    static get TOTAL_COUNT(): FieldUtil<MerReportCU>;
    static get TOTAL_MONEY(): FieldUtil<MerReportCU>;
    static get TOTAL_TIME(): FieldUtil<MerReportCU>;
    static get COUPON_ID(): FieldUtil<MerReportCU>;
    static get ACTUAL_TOTAL_MONEY(): FieldUtil<MerReportCU>;
    get REPORT_ID(): FieldUtil<MerReportCU>;
    get LOT_ID(): FieldUtil<MerReportCU>;
    get MER_ID(): FieldUtil<MerReportCU>;
    get REPORT_DATE(): FieldUtil<MerReportCU>;
    get TOTAL_NUM(): FieldUtil<MerReportCU>;
    get TOTAL_COUNT(): FieldUtil<MerReportCU>;
    get TOTAL_MONEY(): FieldUtil<MerReportCU>;
    get TOTAL_TIME(): FieldUtil<MerReportCU>;
    get COUPON_ID(): FieldUtil<MerReportCU>;
    get ACTUAL_TOTAL_MONEY(): FieldUtil<MerReportCU>;
}
export { MerReportMU, MerReportCU };
